<?php
/**
 * The edit voucher view file of kingdee module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     kingdee
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php $currentDate = date('Ym', strtotime($voucher->date));?>
    <?php $backLink = inlink('browsevoucher', "company={$voucher->company}&date={$currentDate}");?>
    <?php if(!isonlybody()):?>
    <?php echo html::a($backLink, '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="text"><?php echo $lang->voucher->edit;?></span>
    </div>
  </div>
</div>
<form id='ajaxForm' method='post' class='main-row'>
  <div class='main-col col-9'>
    <div class='panel'>
      <div class='panel-body'>
        <table class='table table-form table-details'>
          <thead>
            <tr class='text-center'>
              <th class='w-60px'><?php echo $lang->voucher->FEntryID;?></th>
              <th class='w-160px'><?php echo $lang->voucher->FExplanation;?></th>
              <th class='w-160px'><?php echo $lang->voucher->FAccountName;?></th>
              <th class='w-120px'><?php echo $lang->voucher->FDebit;?></th>
              <th class='w-120px'><?php echo $lang->voucher->FCredit;?></th>
              <th><?php echo $lang->voucher->FItem;?></th>
              <th class='w-110px'></th>
            </tr>
          </thead>
          <tbody>
            <?php $key = 0;?>
            <?php foreach($voucher->details as $detail):?>
            <tr>
              <td class='w-60px'><?php echo $detail->entryID + 1 . html::hidden("entryIDs[{$key}]", $detail->entryID);?></td>
              <td class='w-180px'><?php echo html::input("explanations[{$key}]", $detail->explanation, "class='form-control'");?></td>
              <td class='w-180px'><?php echo html::select("accounts[{$key}]", $accounts, $detail->account, "class='form-control chosen'");?></td>
              <td class='w-120px'><?php echo html::input("debits[{$key}]", $detail->debit, "class='form-control'");?></td>
              <td class='w-120px'><?php echo html::input("credits[{$key}]", $detail->credit, "class='form-control'");?></td>
              <td><?php echo html::textarea("items[{$key}]", $detail->item, "class='form-control'");?></td>
              <td>
                <?php echo html::a('javascript:;', "<i class='icon icon-plus'></i>", "class='btn btn-sm btn-plus'");?>
                <?php echo html::a('javascript:;', "<i class='icon icon-remove'></i>", "class='btn btn-sm btn-remove'");?>
                <?php echo html::a('javascript:;', "<i class='icon icon-move'></i>", "class='btn btn-sm sort-handler'");?>
                <?php echo html::hidden("detailIDs[{$key}]", $detail->id);?>
              </td>
            </tr>
            <?php $key++;?>
            <?php endforeach;?>
          </tbody>
          <tfoot>
            <tr>
              <td></td>
              <td></td>
              <td class='text-right'><?php echo $lang->kingdee->total;?></td>
              <td class='totalDebit'></td>
              <td class='totalCredit'></td>
              <td></td>
              <td>
              </td>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>
    <?php echo $this->fetch('action', 'history', "objectType=voucher&objectID={$voucher->id}");?>
    <div class='main-actions'>
      <?php echo html::submitButton() . html::a($backLink, '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    </div>
  </div>
  <div class='side-col col-3'>
    <div class='panel'>
      <div class='panel-heading'><strong><i class="icon icon-list-info"></i> <?php echo $lang->voucher->basicInfo;?></strong></div>
      <div class='panel-body'>
        <table class='table table-form'>
          <tr>
            <th class='w-80px'><?php echo $lang->voucher->FGroupID;?></th>
            <td><?php echo html::input('type', $voucher->type, "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->voucher->FAttachments;?></th>
            <td><?php echo html::input('attachments', $voucher->attachments, "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->voucher->status;?></th>
            <td><?php echo html::select('status', $lang->voucher->statusList, $voucher->status, "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->voucher->date;?></th>
            <td><?php echo html::input('date', $voucher->date, "class='form-control form-date'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->voucher->FTransDate;?></th>
            <td><?php echo html::input('transDate', $voucher->transDate, "class='form-control form-date'");?></td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</form>
<table class='voucherItem hide'>
  <tbody>
    <tr>
      <td><?php echo 'ENTRYID' . html::hidden("entryIDs[KEY]", 'ENTRYID');?></td>
      <td><?php echo html::input("explanations[KEY]", '', "class='form-control'");?></td>
      <td><?php echo html::select("accounts[KEY]", $accounts, '', "class='form-control'");?></td>
      <td><?php echo html::input("debits[KEY]", '', "class='form-control'");?></td>
      <td><?php echo html::input("credits[KEY]", '', "class='form-control'");?></td>
      <td><?php echo html::textarea("items[KEY]", '', "class='form-control'");?></td>
      <td>
        <?php echo html::a('javascript:;', "<i class='icon icon-plus'></i>", "class='btn btn-sm btn-plus'");?>
        <?php echo html::a('javascript:;', "<i class='icon icon-remove'></i>", "class='btn btn-sm btn-remove'");?>
        <?php echo html::a('javascript:;', "<i class='icon icon-move'></i>", "class='btn btn-sm sort-handler'");?>
      </td>
    </tr>
  </tbody>
<table>
<?php js::set('key', $key);?>
<?php include '../../common/view/footer.html.php';?>
